<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CCrazyflieBatteryDefaultSensor Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a1852366b7bd7a58714523c59185b3ef8">CCrazyflieBatteryDefaultSensor</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a3330f0e0ba9fbe91a44c338b284249a1">Init</a>(TConfigurationNode &amp;t_tree)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aaede1865c7f2f882c388ca48a42fc9d1">m_bAddNoise</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#af70597ff5404360a3976d573454eb7a8">m_cNoiseRange</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a57a2f97cb7a5a06fa4e1b1c25ff043e6">m_pcBatteryEntity</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#ae112ad402b7d250b0fb5f2cc2fb485c9">m_pcEmbodiedEntity</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a7b0d48f541c75bb328df251dd22ff50d">m_pcRNG</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a2dc0a9b1b810775e9a764b8fb1419200">Reset</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aa41a96152fc57e1056cd3f5af333576c">SetRobot</a>(CComposableEntity &amp;c_entity)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a4817bbc56488c5548998ad01d8b4dc30">Update</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a783baab85ee25207ac776430d38f3528">~CCrazyflieBatteryDefaultSensor</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
